# Player profile ressources

> This page contain a various resource for editing your player profile

## Members category list

```text
Default = 0,
Developer = 1,
UniqueId = 2,
Trader = 4,
Group = 8,
System = 16,
ChatModerator = 32,
ChatModeratorWithPermanentBan = 64,
UnitTest = 128,
Sherpa = 256,
Emissary = 512
```

## Messages type list

```text
UserMessage,
NpcTraderMessage,
AuctionMessage,
FleamarketMessage,
AdminMessage,
GroupChatMessage,
SystemMessage,
InsuranceReturn,
GlobalChat,
QuestStart,
QuestFail,
QuestSuccess,
MessageWithItems
```

## Profile bonuses

```text
EnergyRegeneration,
HydrationRegeneration,
HealthRegeneration,
MaximumEnergyReserve,
ExperienceRate,
QuestMoneyReward,
ScavCooldownTimer,
StashSize,
UnlockItemCraft,
UnlockItemPassiveCreation,
UnlockRandomItemCreation,
SkillGroupLevelingBoost,
SkillLevelingBoost,
DebuffEndDelay,
RagfairCommission,
InsuranceReturnTime,
UnlockWeaponModification,
UnlockScavPlay,
UnlockAddOffer,
UnlockItemCharge,
ReceiveItemBonus,
UnlockUniqueId,
IncreaseCanisterSlots,
AdditionalSlots,
FuelConsumption,
TextBonus
```

## Skills buff list

```text
None,
EnduranceBuffEnduranceInc,
EnduranceBuffJumpCostRed,
EnduranceBuffBreathTimeInc,
EnduranceBuffRestorationTimeRed,
EnduranceBreathElite,
StrengthBuffLiftWeightInc,
StrengthBuffSprintSpeedInc,
StrengthBuffJumpHeightInc,
StrengthBuffThrowDistanceInc,
StrengthBuffMeleePowerInc,
StrengthBuffElite,
StrengthBuffMeleeCrits,
VitalityBuffBleedChanceRed,
VitalityBuffSurviobilityInc,
VitalityBuffRegeneration,
VitalityBuffBleedStop,
HealthBreakChanceRed,
HealthOfflineRegenerationInc,
HealthEnergy,
HealthHydration,
HealthEliteAbsorbDamage,
HealthElitePosion,
StressPainChance,
StressTremor,
StressBerserk,
MetabolismRatioPlus,
MetabolismEnergyExpenses,
MetabolismPhysicsForget,
MetabolismPhysicsForget2,
MetabolismEliteBuffNoDyhydration,
MetabolismEliteNoForget,
PerceptionHearing,
PerceptionFov,
PerceptionLootDot,
PerceptionmEliteNoIdea,
IntellectLearningSpeed,
IntellectWeaponMaintance,
IntellectEliteNaturalLearner,
IntellectEliteAmmoCounter,
IntellectEliteContainerScope,
AttentionLootSpeed,
AttentionRareLoot,
AttentionEliteLuckySearch,
AttentionEliteExtraLootExp,
MagDrillsLoadSpeed,
MagDrillsUnloadSpeed,
MagDrillsInventoryCheckSpeed,
MagDrillsInventoryCheckAccuracy,
MagDrillsInstantCheck,
MagDrillsLoadProgression,
CharismaBuff1,
CharismaBuff2,
CharismaEliteBuff1,
CharismaEliteBuff2,
MemoryMentalForget1,
MemoryMentalForget2,
MemoryEliteMentalNoDegradation,
WeaponReloadBuff,
WeaponRecoilBuff,
WeaponSwapBuff,
DrawMasterSpeed,
DrawMasterElite,
AimMasterElite,
AimMasterWiggle,
AimMasterSpeed,
RecoilControlImprove,
RecoilControlElite,
CovertMovementSoundVolume,
ProneMovementSpeed,
ProneMovementVolume,
ProneMovementElite,
TroubleFixing,
TroubleFixingElite,
WeaponErgonomicsBuff,
WeaponDoubleMastering,
WeaponStiffHands,
ThrowingStrengthBuff,
ThrowingEnergyExpenses,
ThrowingWeaponsBuffElite,
CovertMovementSpeed,
CovertMovementElite,
CovertMovementLoud,
CovertMovementEquipment,
SearchSpeed,
SearchDouble
}
```

## Character in-game counter

```text
LootItem,
HeadShots,
BloodLoss,
BodyPartsDestroyed,
BodyPartDamage,
Heal,
Fractures,
Contusions,
Dehydrations,
Exhaustions,
Medicines,
UsedFoods,
UsedDrinks,
TriggerVisited,
Triggers,
Pedometer,
Money,
BodiesLooted,
SafeLooted,
LockableContainers,
Weapons,
Ammunitions,
Mods,
ThrowWeapons,
SpecialItems,
FoodDrinks,
Keys,
BartItems,
MobContainers,
Equipments,
CauseBodyDamage,
CauseArmorDamage,
HitCount,
LongShots,
LongestShot,
LongestKillShot,
CurrentWinStreak,
LongestWinStreak,
Sessions,
ExitStatus,
Pmc,
Scav,
LifeTime,
AmmoUsed,
AmmoReached,
Deaths,
KilledLevel0010,
KilledLevel1030,
KilledLevel3050,
KilledLevel5070,
KilledLevel7099,
KilledLevel100,
KilledBear,
KilledUsec,
KilledSavage,
KilledPmc,
KilledBoss,
LongestKillStreak,
KilledWithKnife,
KilledWithPistol,
KilledWithSmg,
KilledWithShotgun,
KilledWithAssaultRifle,
KilledWithAssaultCarbine,
KilledWithGrenadeLauncher,
KilledWithMachineGun,
KilledWithMarksmanRifle,
KilledWithSniperRifle,
KilledWithSpecialWeapon,
KilledWithThrowWeapon,
Kills,
Exp,
ExpKill,
ExpLooting,
ExpKillBase,
ExpKillBodyPartBonus,
ExpKillStreakBonus,
ExpDamage,
ExpItemLooting,
ExpContainerLooting,
ExpDoorUnlocked,
ExpDoorBreached,
ExpHeal,
ExpEnergy,
ExpHydration,
ExpExitStatus,
ExpTrigger,
ExpStationaryContainer,
ExpExamine
```
