> **Warning**\
> This tutorial has not been updated in a long time and may contain errors and incorrect informations.

# ![](./assets/img/headers/report_a_bug.svg)


## Requirements
- An account on https://dev.offline-tarkov.com/
- Certainty that its a unique SP-Tarkov bug


:::warning ALERT: This is only for reporting SP-Tarkov bugs, not issues with your game install
Always ask your questions in #eft, and if it turns out to be an SP-Tarkov bug then report it on our issue tracker.

Also, make sure that the bug hasn't already been reported!
:::

### Already reported?
If the bug is already reported, add a reaction emoji to the issue, and provide any additional information if required.

## Creating the issue
1. Go to the repository page of the project that you have the issue with (e.g., https://dev.offline-tarkov.com/SP-Tarkov/Server).
2. Click on the `Issues` tab below the repository name.
3. Click on the `New Issue` button on the right top side.
4. In the body, write information about the issue (follow the template provided below), optionally add screenshots or a youtube video.
5. Submit the issue with the `Create Issue` button.

### Issue closed?
This either means that the issue has been fixed, or is invalid.

## Issue Template
```
## **General information**:

### Server: <Server version or server commit hash>

### Launcher: <Launcher version or launcher commit hash>

### Assembly: <Assembly version or assembly commit hash>

### Client: <Game version>


## **The issue**:
<Write what goes wrong and what you expect to happen>

## **How to reproduce**
1. <step 1>
2. <step 2>
3. <etc>
```

## Official links
**Guilded link**: https://www.guilded.gg/senkospub