> **Warning**\
> This tutorial has not been updated in a long time and may contain errors and incorrect informations.

![](./assets/img/headers/tutorials_mods.png)

1. We will need a text editor, it is recommended:

    ·Notepad++

    ·Visual Studio Core

2. The files to be modified are located inside the folder

    **\db\locations**

3. Within this LOCATIONS folder, we have each subfolder with each map. (We will study the WOODS map as an example)

    **\db\locations\woods**

4. Modify bosses folder:

    You can modify existing boss\_.json files or create new ones.

4.1. Open **boss\_0.json**

    "BossName": "bossKojaniy",

    "BossChance": 39,

    "BossZone": "ZoneWoodCutter",

    "BossPlayer";: false,

    "BossDifficult": "normal",

    "BossEscortType": "followerKojaniy",

    "BossEscortDifficult": "normal",

    "BossEscortAmount": "2&",

    "Time": 1

4.2. The values to be used:

    **BossName:** bossBully, bossKilla, bossGluhar, bossKojaniy, bossSanitar, pmcBot, assault, marksman

    **BossChance:** 0 to 100 (0 No spawn. 100 always spawn)

    **BossZone** : spawn zones can be obtained from bot waves files.

    **BossDifficult and BossEscortDifficult:** easy, normal, hard, impossible

    **BossEscortType:** followerBully,followerGluharAssault, followerGluharSecurity, followerGluharScout, followerKojaniy, followerSanitar, pmcBot

    **BossEscortAmount:** can be a number (4) or a sequence (1,2,0,2,1,1,3)

    **Time:** Time in raid when bots will spawn, in seconds.

   **Note: Assault and Marksman do not spawn if they are set as followers**

5. Modify waves folder:

    You can modify existing wave\_.json files or create new ones.

5.1. Open **wave\_0.json**

    "number": 0,

    "time\_min": 55,

    "time\_max": 100,

    "slots\_min": 1,

    "slots\_max": 2,

    "SpawnPoints": "ZoneWoodCutter",

    "BotSide": "Savage",

    "BotPreset": "normal",

    "WildSpawnType": "assault",

    "isPlayers": false,

    "OpenZones": ""

5.2. The values to be used:

    "number": number wave,

    "time\_min": 55, spawn bots in the range 55 and 100.

    "time\_max": 100, (range in seconds)

    "slots\_min": 1, minimum number of bots in this wave

    "slots\_max": 2, maximum number of bots in this wave

    "SpawnPoints": "ZoneWoodCutter", Spawn area.

    "BotPreset": "normal", difficulty of wave bots. Values (easy, normal, hard, impossible)

    "WildSpawnType": "assault", Type of bots (assault, marksman, boss, follower, pmcBot)

**Note: Looking at the SpawnPoints, we can find the spawn areas for use with boss or waves**