# About

SPT-AKI is a modding framework for Escape From Tarkov made for people who want to play **offline singleplayer** with progression similar to live. It's made by fans for fans.

## Features

* Offline: No internet connection required, completely offline.
* Progression: You can progress through the game as you would in live.
* Accurate: Many of the game's systems behave exactly the same as live.
* Stable: No disconnects mid-raid, no cheaters to ruin your raid.
* Moddable: Completely configurable to your need through the modding system.
* Legit: SPT-AKI Requires a legally purchased copy of the game to play.
* Free of charge: You don't need to buy the software or the source code of the project to play.
* Open source: You are free to inspect and build the source code of SPT-AKI.

## Credits

The list is huge, so we most likely missed a couple of names.

* Main developer of the project
  * Merijn Hendriks (InNoHurryToCode / Senko-san)

* All contributors
  * Sorata-Senpai
  * Baliston
  * Psifour
  * Krunchy
  * Craink
  * stx09
  * Ginja
  * Reider123
  * Terkoiz
  * Basuro
  * And many more

* All modders
  * AssAssIn
  * Frumorn
  * Kiva
  * Divinity
  * Prospero
  * Saaly
  * CROW
  * DigitalBarrito
  * Cheekiest Breeki
  * And many more

* Websites
  * Atomos: www and docs website
  * AmazingTurtle: items website
  * [Woltlab](https://www.woltlab.com/): mods website
  * [Gitea](https://gitea.io/): dev website

* Documentation
  * Baliston: adding servers functions
  * Sorata-Senpai: most of the tutorials
  * Senko-san: some tutorials
  * enhausser: some tutorials
  * Saaly: some tutorials
  * Мастер Чиф#1334: fixing Sorata-Senpai english

## Licence

SPT-AKI is licenced under the `University of Illinois / NSCA Open Source` license.
The licence file can be found in each of the repositories related to the SPT-AKI project.

```text
Copyright (c) 2020 Merijn Hendriks. All rights reserved.

Developed by: Merijn Hendriks
              SPT-AKI

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the “Software”), to deal
with the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

    Redistributions of source code must retain the above copyright notice,
    this list of conditions and the following disclaimers.

    Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimers in the documentation
    and/or other materials provided with the distribution.

    Neither the names of Merijn Hendriks, SPT-AKI, nor the names of
    its contributors may be used to endorse or promote products derived from
    this Software without specific prior written permission.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS WITH THE SOFTWARE.
```
