# Location resources

> You can find here a various list about locations editing

## Hideout areas list

```markdown
**Name**            | **Area #** | **Max level**
------------------- | ---------- | -------------
VENTS               | 0          | 3
SECURITY            | 1          | 3
LAVATORY            | 2          | 3
STASH               | 3          | 4
GENERATOR           | 4          | 3
HEATING             | 5          | 3
WATER COLLECTOR     | 6          | 3
MEDSTATION          | 7          | 3
NUTRITION UNIT      | 8          | 3
REST SPACE          | 9          | 3
WORKBENCH           | 10         | 3
INTELLIGENCE CENTER | 11         | 3
SHOOTING RANGE      | 12         | 1
LIBRARY             | 13         | 1
SCAV CASE           | 14         | 1
ILLUMINATION        | 15         | 3
PLACE OF FAME       | 16         | 1
AIR FILTRERING UNIT | 17         | 1
SOLAR POWER         | 18         | 1
BOOZE GENERATOR     | 19         | 1
BITCOIN FARM        | 20         | 3
CHRISTMAS TREE      | 21         | 1
```

## Hideout areas requirement types

```text
Area
Item
TraderUnlock
TraderLoyalty
Skill
Resource
```

## Location extraction requirements

```text
None
Empty
TransferItem
WorldEvent
NotEmpty
HasItem
WearsItem
EmptyOrSize
SkillLevel
Reference
ScavCooperation
Train
```

## Location rules

```text
Normal
AvoidOwnPmc
AvoidAllPmc
```

## Location openzones

```text
Customs: [
  ZoneBrige,
  ZoneCrossRoad,
  ZoneFactorySide,
  ZoneOldAZS,
  ZoneBlock,
  Post,
  ZoneTankSquare,
  ZoneCustoms
]

Factory Day: [
  BotZone
]

// NONE LISTED IN BASE.JSON
Factory Night: [
  BotZone
]

Interchange: [
  ZoneIDEA,
  ZoneRoad,
  ZoneCenter,
  ZoneCenterBot,
  ZoneOLI,
  ZoneOLIPark,
  ZoneGoshan,
  ZonePowerStation,
  ZoneTrucks,
  ZoneIDEAPark
]

Laboratory: [
  BotZoneMain
]

Reserve: [
  ZoneRailStrorage,
  ZonePTOR1,
  ZonePTOR2,
  ZoneBarrack,
  ZoneBunkerStorage,
  ZoneSubStorage
]

Shoreline: [
  ZoneSanatorium,
  ZonePassFar,
  ZonePassClose,
  ZoneTunnel,
  ZoneStartVillage,
  ZoneBunker
]

Woods: [
  ZoneRedHouse,
  ZoneHighRocks,
  ZoneWoodCutter,
  ZoneHouse,
  ZoneBigRocks,
  ZoneRoad,
  ZoneMiniHouse
]
```
