# Tutorial: Getting OP

> **Getting started**\
> You will need either [VSCode](https://code.visualstudio.com/) or [VSCodium](https://vscodium.com/) to properly follow this tutorial.

This tutorial is an introduction to profile editing. It will guide you through a set of instructions regarding editing diverse properties of one of your characters profile.

Additionaly, explanations are provided to explain how the game and the server are using these properties.

By the end of this tutorial you will be able to do the following:

* Edit a character's level.
* Edit a character's skill level.
* ~~Edit a character's quest status.~~ *(WIP)*
* ~~Edit an area status in the hideout~~. *(WIP)*
* ~~Add money to a character's stash.~~ *(WIP)*

This tutorial should give you enough knowledge to gain confidence with character editing.

## What you'll do

The tutorial will help you make a fresh character OP, with profile editing, without having to grind.

You will start by creating a new character and, step-by-step, upgrade him to become a "chad".

He will be level 30, have maxed-out skills, finished all quests and have a fully upgraded hideout. On top of that he will be loaded with enough money to start his own charity.
