# Editing a character level

Editing a character's level is a quick way to unlock the flea market and to fill a part of the requirements to get access to higher grade items from the traders.

To do so:

* Open your character profile (`%game%\user\%profileId%`) with your code editor.
* Search for the first line with the `Experience` property.

![Screenshot of the profile file](../assets/img/spt-aki/tutorials/tut_0/009.png)

* Go to the [EFT Wiki Character skills page](https://escapefromtarkov.gamepedia.com/Character_skills#Experience), scroll down to the "Experience" section and copy the `Cumulative Total` value of desired level from the table.

> **Note**\
> Remember to remove the commas or it will break the file formatting. If you copied `3,873,658` from the table, it should be written as `3873658` in the file.

* Replace the experience value from the file with the one copied from the table.
* Save the file.

On the next server startup the character will be at the desired level.

> **Note**\
> A character's level, in Escape From Tarkov, is not tied to the `"Level"` property. Instead, it's derived from the amount of experience it has. As such, a character with `781760` experience points will be level 30.

Below is an example with before/after screenshots of the file for a character going from level 1 to level 50.

![Before](../assets/img/spt-aki/tutorials/tut_0/010.png)
![After](../assets/img/spt-aki/tutorials/tut_0/011.png)

With this done, your character should now have gained a few levels and you are ready to proceed with the next step, which is [editing the characterskill levels](./#tutorials/tut_0/tut0_3.md).
